* {
	box-sizing: border-box;
}

::selection {
	background-color: #fda2aa;
	color: #fbf8eb;
}

html, body {
	color: #1a1a1a;
	display: grid;
	height: 100%;
	margin: 0;
	min-width: 750px;
	padding: 0;
	width: 100%;
	font-family: 'Noto Sans JP', sans-serif;
}

html {
	background: #fda2aa;
	background: radial-gradient(circle at center, rgba(253, 162, 170, 1) 464px, rgba(231, 115, 115, 1) 100%);
	background-repeat: no-repeat;
	background-attachment: fixed;
}

a, .a {
	color: inherit;
	text-decoration: none;
	transition: color 0.25s ease-in-out, -webkit-text-stroke 0.25s ease-in-out;
}

ruby rt {
	user-select: none;

	margin-top: -3px;
	margin-bottom: -6px;
	padding-bottom: 1px;
}

main {
	background-color: #fbf8eb;
	border-radius: 50px 0;
	box-shadow: 0 0 50px 15px #e77373, 2px 2px 5px #555, inset -1px -1px 2px #aaa;
	margin: 10rem auto;
	max-width: 800px;
	min-width: 675px;
	padding: 1rem;
	width: 50%;
	position: relative;
}

header {
	display: flex;
	flex-direction: row-reverse;
}

header h1 {
	left: -0.25em;
	font-size: 5rem;
	font-weight: 900;
	position: absolute;
	top: -0.85em;
	transform: rotate(-5deg);
}

[lang='ja'] header h1 {
	line-height: 1;
	/*line-height: 0.5;*/
	/*top: -0.625em;*/
}

header h1 ruby {
	ruby-position: under;
	vertical-align: bottom;
	writing-mode: vertical-rl;
	/*letter-spacing: -7px;*/
	
	position: relative;
	top: 2px;

	/* Safari */
	display: inline-flex;
	flex-direction: column;
}

@supports(-moz-appearance:none) {
	header h1 ruby {
		top: 5px;
	}
}

header h1 ruby rt {
	float: left; /* Firefox */
	font-size: 25%;
	text-align: left;
	letter-spacing: 5px;
	width: 0;

	margin-top: 0;
}

nav#lang, nav#lang a {
	color: #aaa;
	line-height: 1;
	text-transform: uppercase;
}

nav#lang {
	margin: 1em;
}

nav#lang ul {
	font-size: 0;
}

nav#lang li {
	display: inline-block;
	font-size: 1rem;
	padding: 0 4px;
}

nav#lang li:not(:last-child) {
	border-right: 1px solid;
}

nav#lang li:not([lang='ja']) {
	padding: 0 5px;
}

nav#lang a {
	vertical-align: 2px;
}

nav#lang a:not([href]) {
	color: #1a1a1a;
}

nav#lang a:hover, footer a:hover, .a:hover, .hr a:hover {
	color: #1a1a1a;
}

section {
	font-size: 0.95em;
	margin: 5em;
	margin-top: 8em;
	text-align: justify;
}

section p {
	font-weight: 300;
}

table p {
	font-weight: 400;
}

/*section a:hover {
	color: #aaa;
}*/

section p a, .meta a {
	cursor: pointer;
	text-decoration: underline;
}

section p a[lang="ja"] {
	text-decoration: none;
	border-bottom: 1px solid;
}

footer, footer a {
	color: #8d5d61;
}

footer {
	font-size: small;
	margin: -7rem auto 0 auto;
	text-align: center;
}

table {
	margin-top: 3em;
	text-align: right;
	width: 100%;
	/*table-layout: fixed;*/
}

/*table ruby rt {
	display: none;
}*/

/**:has(ruby) {
	line-height: 1.65;
}

*:has(ruby) *:not(ruby):not(:has(ruby)) {
	line-height: initial;
}*/

[lang='ja'] {
	line-height: 1.65;
}

/*@supports (-webkit-text-size-adjust: none) and (font: -apple-system-body) {*/
/*_::-webkit-full-page-media, _:future, :root [lang='ja'] {*/
/*_::-webkit-full-page-media, _:future, :root [lang='ja'] .meta, :root [lang='ja'] .hr p:not([lang='en']) {
	line-height: 3.5;
}*/

ruby.vh rp {
	display: none;
}

ruby.vh rt {
	visibility: hidden;
	font-size: 0;
}

_::-webkit-full-page-media, _:future, :root [lang='ja'] ruby.vh rt {
	font-size: 50%;
}

[lang='en'] {
	line-height: initial;
}

table td a:hover, section a:hover {
	color: inherit;
	/*text-decoration: underline;*/
	-webkit-text-stroke: 0.25px;
}

tr > *:first-child {
	text-align: left;
	width: 60%;
}

tr > *:last-child:not([colspan='3']) {
	/*padding-left: 1em;*/
	white-space: nowrap;
}

th {
	border-bottom: 1px solid;
}

td {
	vertical-align: top;
}

.sm, .meta, .hr {
	font-size: smaller;
}

[lang='ja'] .sm, [lang='ja'] .meta, [lang='ja'] .hr {
	font-size: 90%;
}

.hr {
	display: grid;
	grid-template-rows: 0fr;
	transition: grid-template-rows 0.5s ease-out;
}

.hr div {
	overflow: hidden;
	transition: padding-top 0s 0.5s;
}

.hr p {
	margin: 0;
}

.st {
	font-size: 0.865em;
	display: block;
}

/*.meta, .hr {
	color: #aaa;
}*/

/*[lang='ja'] .meta, [lang='ja'] .hr {*/
.meta, .hr {
	color: rgb(26 26 26 / 75%);
}

.meta {
	margin-top: 1em;
}

.a {
	cursor: pointer;
}

.jt {
	text-align: justify;
}

.a span {
	text-decoration: underline;
}

[lang='ja'] .a span {
	text-decoration: none;
}

input.table-controls {
	position: fixed;
	left: -9999px;
}

input.table-controls:checked + .hr {
	grid-template-rows: 1fr;
}

input.table-controls:checked + .hr div {
	padding-top: 2px;
	transition: padding-top 0s 0s;
}

.meta label.a span {
	pointer-events: none;
}

.meta label.a:first-of-type {
	margin: 0 1em 0 1.5em;
}

.meta label.a span::before {
	content: 'show ';
}

.meta label.a::after {
	content: ' \25BE';
}

.meta label.a.checked span::before {
	content: 'hide ';
}

.meta label.a.checked::after {
	content: ' \25B4';
}

[lang='ja'] .meta label.a span::before {
	content: '';
	content: none;
}

[lang='ja'] .meta label.a::after {
	content: '\3092\8868\793A \25BE';
}

[lang='ja'] .meta label.a.checked span::before {
	content: '';
	content: none;
}

[lang='ja'] .meta label.a.checked::after {
	content: '\3092\96A0\3059 \25B4';
}